package test

import (
	"github.com/gofiber/fiber/v2"
	"github.com/gofiber/template/html/v2"

	app "git.dmitriygnatenko.ru/dima/dmitriygnatenko-v2/internal/fiber"
)

func GetFiberTestConfig() fiber.Config {
	engine := html.New("./../../templates", ".html")

	engine.AddFunc("now", app.Now)
	engine.AddFunc("noescape", app.NoEscape)
	engine.AddFunc("concat", app.Concat)
	engine.AddFunc("gridsep", app.GridSep)
	engine.AddFunc("version", 1)
	engine.AddFunc("trans", app.Trans)
	engine.AddFunc("link", app.Link)

	return fiber.Config{
		Views: engine,
	}
}
